logging-log4net-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: Dropping Support for .NET CF 1.0 and SSCLI 1.0 in log4net 1.2.11
Date Wed, 21 Sep 2011 08:57:15 GMT
On 2011-09-21, Neil Haughton wrote:

>>> It seems as if CF 1.0 requires an installation of Visual Studio
>>> (2003, likely)...... accept that you can't build a log4net release
>>> without an IDE you have to pay for

> Given that VS merely invokes the C# compiler with appropriate arguments,
> can you not do a build with a set of scripts (eg bat files)? Failing
> that, what about SharpDevelop?

The problem is not the scripting - NAnt does fine here - but that the C#
compiler and libraries required to do development for .NET Compact
Framework 1.0 are not available at all outside of Visual Studio.

This has changed for CF 2.0.  You can build CF 2.0 libraries using the
"vanilla" 2.0 .NET SDK.

Stefan

Mime
View raw message